﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="SvgNodes._Default" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>MindFusion NetDiagram Sample - SVG Nodes</title>
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
<form id="form1" runat="server">

  <asp:ScriptManager ID="ScriptManager1" runat="server" />

  <div id="header" style="height: 49px;">
    <div style="float: left; margin-right: 5px; margin-top: 17px;">
      <asp:Button ID="btnAdd" runat="server" onclick="btnAdd_Click" Text="Add node" />
      <asp:Button ID="btnReset" runat="server" onclick="btnReset_Click" Text="Reset" />
    </div>
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
  </div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This sample demonstrates the SvgNode type and diagram's BackgroundImage property.</p>
    </div>
  </div>

  <div id="content" style="top: 60px; bottom: 24px;">
    <ndiag:DiagramView runat="server" ID="diagramView" style="position: absolute; left: 0px; top: 0px; right: 0px; bottom: 0px; overflow: hidden;"
      ClientSideMode="Canvas" Diagram-BackgroundImageAlign="Stretch" />
  </div>

</form>
</body>
</html>
